Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

When i try to access repository from redmine i get:

NoMethodError (undefined method `<=>' for nil:NilClass):

lib/redmine/scm/adapters/abstract_adapter.rb:218:in `sort_by_name'

lib/redmine/scm/adapters/abstract_adapter.rb:216:in `sort'

lib/redmine/scm/adapters/abstract_adapter.rb:216:in `sort_by_name'

lib/redmine/scm/adapters/mercurial_adapter.rb:101:in `entries'

app/models/repository/mercurial.rb:33:in `entries'

app/controllers/repositories_controller.rb:70:in `show'

passenger (2.2.5) lib/phusion_passenger/rack/request_handler.rb:95:in `process_request'

passenger (2.2.5) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:378:in `start_request_handler'

passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:336:in `handle_spawn_application'

passenger (2.2.5) lib/phusion_passenger/utils.rb:183:in `safe_fork'

passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:334:in `handle_spawn_application'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:163:in `start'

passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

I create a new project, add repo (mercurial one). It first scans repo for a few minutes (repo directory have about 60mb and there's

about 1k commits in history) and then that error shows in the log. I'm using svn redmine (latest version) and mercurial 1.3.1-r1.

Looking at the repo history there are some commits with strange names, using non-iso characters. Can it be a problem or is it

something else?

Associated revisions

Revision 2957 - 2009-10-24 13:08 - Jean-Philippe Lang

Prevent undefined method `<=>' for nil:NilClass in AbstractAdapter (#4098).

Revision 3029 - 2009-11-11 16:33 - Jean-Philippe Lang

Reject empty Mercurial entries (#4098).

History

#1 - 2009-10-24 13:03 - Jean-Philippe Lang

Please try with r2957 applied.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1
https://www.redmine.org/projects/redmine/repository/svn/revisions/2957


#2 - 2009-10-27 10:49 - Marcin Kwiatkowski

Now i get:

TypeError (can't convert nil into String):

app/models/repository/mercurial.rb:39:in `join'

app/models/repository/mercurial.rb:39:in `entries'

app/models/repository/mercurial.rb:35:in `each'

app/models/repository/mercurial.rb:35:in `entries'

app/controllers/repositories_controller.rb:70:in `show'

passenger (2.2.5) lib/phusion_passenger/rack/request_handler.rb:95:in `process_request'

passenger (2.2.5) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:378:in `start_request_handler'

passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:336:in `handle_spawn_application'

passenger (2.2.5) lib/phusion_passenger/utils.rb:183:in `safe_fork'

passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:334:in `handle_spawn_application'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:163:in `start'

passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

#3 - 2009-11-11 16:28 - Jean-Philippe Lang

Then try r3029.

#4 - 2009-11-13 09:24 - Marcin Kwiatkowski

Works now! Thanks!

#5 - 2009-11-15 16:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Thanks for the feedback.
